2

I cannot change default browser in Settings after upgrade to Ubuntu 22.04. Here is my system's info:

Operating System: Ubuntu 22.04.1 LTS                
          Kernel: Linux 5.15.0-47-generic
    Architecture: x86-64
 Hardware Vendor: Micro-Star International Co., Ltd.
  Hardware Model: MS-7B79

A second PC, used primarily as a file server, works properly.

Changing the default browser from Settings → Default ApplicationsWeb, fails. Can only change the default by using the browser's internal settings. If I make any other browser the default and use xdg-open, the system opens the file with Firefox, and asks if I want to make Firefox the default!

Opening browsers via terminal is successful, but they display errors:

$ firefox
[GFX1-]: glxtest: VA-API test failed: failed to initialise VAAPI connection.
Missing chrome or resource URL: resource://gre/modules/UpdateListener.sys.mjs
Missing chrome or resource URL: resource://gre/modules/UpdateListener.sys.mjs
[2022-09-04T13:53:06Z ERROR viaduct::backend::ffi] Missing HTTP status
[2022-09-04T13:53:06Z ERROR viaduct::backend::ffi] Missing HTTP status

Firefox console shown below:

1662467861933   addons.xpi  WARN    Checking /usr/lib/firefox/distribution/extensions for addons
[Exception... "Component returned failure code: 0x80004001 (NS_ERROR_NOT_IMPLEMENTED) [nsIAppStartup.secondsSinceLastOSRestart]"  nsresult: "0x80004001 (NS_ERROR_NOT_IMPLEMENTED)"  location: "JS frame :: resource:///modules/BrowserGlue.jsm :: _collectStartupConditionsTelemetry :: line 1588"  data: no] BrowserGlue.jsm:1588:9
[Exception... "File error: Not found"  nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame :: resource:///modules/BrowserGlue.jsm :: task :: line 2859"  data: no] BrowserGlue.jsm:2859:11
ExtensionError: No such native application VeneziaFFMPEGWrapperYT_manifest ExtensionUtils.jsm:57:5
Error: Please use $(ref:runtime.getURL). notification-maker.class.js:23
ExtensionError: No such native application org.gnome.chrome_gnome_shell 2 ExtensionUtils.jsm:57:5
Unchecked lastError value: Error: Could not establish connection. Receiving end does not exist. update.js:26
Error: Can't find profile directory. XULStore.jsm:62:15
1662467922100   Toolkit.Telemetry   WARN    TelemetryStorage::_scanArchive - have seen this id before: b599b21d-58fb-48ed-99c5-8c171fb96932, overwrite: false 
$ chromium
Gtk-Message: 08:53:41.317: Failed to load module "canberra-gtk-module"
Gtk-Message: 08:53:41.319: Failed to load module "canberra-gtk-module"
[48169:48169:0904/085341.414153:ERROR:gpu_memory_buffer_support_x11.cc(44)] dri3 extension not supported.
[48065:48152:0904/085344.694886:ERROR:udev_watcher.cc(98)] Failed to begin udev enumeration. 
Fontconfig error: Cannot load default config file

Chromium console shown below:

Uncaught (in promise) TypeError: e.autoComplete is not a function
    at a (user.en.js?v=dbc117fdc1bc:1:63390)
    at user.en.js?v=dbc117fdc1bc:1:65308
$ vivaldi
[48402:48402:0904/085409.345461:ERROR:gpu_memory_buffer_support_x11.cc(44)] dri3 extension not supported.
[48366:48366:0904/085414.245452:ERROR:CONSOLE(0)] "Uncaught (in promise) Error: A listener indicated an asynchronous response by returning true, but the message channel closed before a response was received", source: chrome-extension://mpognobbkildjkofajifpdfhcoklimli/browser.html (0)
[48366:48366:0904/085414.245661:ERROR:CONSOLE(0)] "Uncaught (in promise) Error: A listener indicated an asynchronous response by returning true, but the message channel closed before a response was received", source: chrome-extension://mpognobbkildjkofajifpdfhcoklimli/browser.html (0)

Vivaldi console shown below:

No issues
$ brave-browser
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
[48670:48670:0904/085429.624804:ERROR:angle_platform_impl.cc(43)] Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
ERR: Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
[48670:48670:0904/085429.625017:ERROR:gl_display.cc(506)] EGL Driver message (Critical) eglInitialize: Invalid visual ID requested.
[48670:48670:0904/085429.625095:ERROR:gl_display.cc(879)] eglInitialize OpenGL failed with error EGL_NOT_INITIALIZED, trying next display type
[48670:48670:0904/085429.625345:ERROR:angle_platform_impl.cc(43)] Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
ERR: Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
[48670:48670:0904/085429.625415:ERROR:gl_display.cc(506)] EGL Driver message (Critical) eglInitialize: Invalid visual ID requested.
[48670:48670:0904/085429.625465:ERROR:gl_display.cc(879)] eglInitialize OpenGLES failed with error EGL_NOT_INITIALIZED
[48670:48670:0904/085429.625526:ERROR:gl_ozone_egl.cc(23)] GLDisplayEGL::Initialize failed.
[48670:48670:0904/085429.627188:ERROR:viz_main_impl.cc(186)] Exiting GPU process due to errors during initialization
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
[48734:48734:0904/085429.794375:ERROR:angle_platform_impl.cc(43)] Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
ERR: Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
[48734:48734:0904/085429.794541:ERROR:gl_display.cc(506)] EGL Driver message (Critical) eglInitialize: Invalid visual ID requested.
[48734:48734:0904/085429.794581:ERROR:gl_display.cc(879)] eglInitialize OpenGL failed with error EGL_NOT_INITIALIZED, trying next display type
[48734:48734:0904/085429.794737:ERROR:angle_platform_impl.cc(43)] Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
ERR: Display.cpp:993 (initialize): ANGLE Display::initialize error 12289: Invalid visual ID requested.
[48734:48734:0904/085429.794781:ERROR:gl_display.cc(506)] EGL Driver message (Critical) eglInitialize: Invalid visual ID requested.
[48734:48734:0904/085429.794811:ERROR:gl_display.cc(879)] eglInitialize OpenGLES failed with error EGL_NOT_INITIALIZED
[48734:48734:0904/085429.794870:ERROR:gl_ozone_egl.cc(23)] GLDisplayEGL::Initialize failed.
[48734:48734:0904/085429.796500:ERROR:viz_main_impl.cc(186)] Exiting GPU process due to errors during initialization
[48765:48765:0904/085429.863502:ERROR:gpu_memory_buffer_support_x11.cc(44)] dri3 extension not supported.
[48728:7:0904/085429.865379:ERROR:command_buffer_proxy_impl.cc(128)] ContextResult::kTransientFailure: Failed to send GpuControl.CreateCommandBuffer.
[48636:48701:0904/085432.769023:ERROR:udev_watcher.cc(98)] Failed to begin udev enumeration.

Brave console shown below:

Audit usage of navigator.userAgent, navigator.appVersion, and navigator.platform
A page or script is accessing at least one of navigator.userAgent, navigator.appVersion, and navigator.platform. Starting in Chrome 101, the amount of information available in the User Agent string will be reduced.
To fix this issue, replace the usage of navigator.userAgent, navigator.appVersion, and navigator.platform with feature detection, progressive enhancement, or migrate to navigator.userAgentData.
Note that for performance reasons, only the first access to one of the properties is shown.
1 source
bugs.launchpad.net/:1
1

0

You must log in to answer this question.

Browse other questions tagged .